<h3>Profile:</h3>
<div *ngIf="!error && profile">
    <mat-divider></mat-divider>
    <div class="controls">
        <button (click)="onLogout()" mat-raised-button color="accent">Logout</button>
        <button (click)="onDelete()" mat-raised-button color="warn">Delete profile</button>
        <mat-spinner [diameter]="25" *ngIf="loading"></mat-spinner>
    </div>
    <mat-divider></mat-divider>
    <table class="profile-table">
        <tr>
            <td><b>Username: </b></td>
            <td>{{profile.username}}</td>
        </tr>
        <tr>
            <td><b>Created: </b></td>
            <td>{{profile.createdDate | date}}</td>
        </tr>
    </table>
    <mat-divider></mat-divider>
    <form class="change-pass-form" [formGroup]="changePasswordForm" (submit)="onChangePassword()" autocomplete="off">
        <mat-form-field appearance="fill">
            <mat-label>Old password:</mat-label>
            <input 
              matInput
              required 
              [type]="hideOld ? 'password' : 'text'"
              formControlName="oldPassword"
            >
            <button 
              mat-icon-button 
              type="button"
              matSuffix (click)="hideOld = !hideOld" 
              [attr.aria-label]="'Hide old password'" 
              [attr.aria-pressed]="hideOld"
            >
            <mat-icon>{{hideOld ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
            <mat-error *ngIf="(submitted || changePasswordControl.oldPassword.touched) && changePasswordControl.oldPassword.errors?.required">
                Old password required
            </mat-error>
        </mat-form-field>

        <mat-form-field appearance="fill">
            <mat-label>New password:</mat-label>
            <input 
              matInput
              required 
              [type]="hide ? 'password' : 'text'"
              formControlName="password"
            >
            <button 
              mat-icon-button 
              type="button"
              matSuffix (click)="hide = !hide" 
              [attr.aria-label]="'Hide password'" 
              [attr.aria-pressed]="hide"
            >
            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
            <mat-error *ngIf="(submitted || changePasswordControl.password.touched) && changePasswordControl.password.errors?.required">
                New password required
            </mat-error>
        </mat-form-field>
    
        <mat-form-field appearance="fill">
            <mat-label>Repeat new password:</mat-label>
            <input 
                matInput
                required 
                [type]="hideRepeat ? 'password' : 'text'"
                formControlName="repeatPassword"
            >
            <button 
                mat-icon-button 
                type="button"
                matSuffix (click)="hideRepeat = !hideRepeat" 
                [attr.aria-label]="'Hide password'" 
                [attr.aria-pressed]="hide"
            >
            <mat-icon>{{hideRepeat ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
            <mat-error *ngIf="(submitted || changePasswordControl.repeatPassword.touched) && changePasswordControl.repeatPassword.errors?.passwordsDoNotMatch">
                Passwords do not match
            </mat-error>
      </mat-form-field>
      <div class="controls">
        <button class="submit-btn" [disabled]="!changePasswordForm.valid" type="submit" mat-raised-button color="primary">
          Save
        </button>
        <mat-spinner [diameter]="25" *ngIf="passwordLoading"></mat-spinner>
      </div>
    </form>
</div>
<mat-error *ngIf="error">{{error}}</mat-error>
